Bug 1291877 - Review Request: python-nilearn - Python module for fast and easy statistical learning on NeuroImaging data
Summary: Review Request: python-nilearn - Python module for fast and easy statistical ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-12-15 19:24 UTC by Igor Gnatenko
Modified: 2018-11-08 12:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:31:17 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-15 19:24:39 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-nilearn.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-nilearn-0.2.1-1.fc24.src.rpm
Description:
Nilearn is a Python module for fast and easy statistical learning on
NeuroImaging data.

It leverages the scikit-learn Python toolbox for multivariate statistics with
applications such as predictive modelling, classification, decoding, or
connectivity analysis.
Fedora Account System Username: ignatenkobrain

Comment 1 Upstream Release Monitoring 2016-01-08 22:56:04 UTC
williamjmorenor's scratch build of python-nilearn-0.2.1-1.fc24.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12471899

Comment 2 William Moreno 2016-02-04 22:54:24 UTC
License OK
License match upstream OK
License macro in files OK
License installed in all subpackages OK
Naming OK
Python2 subpackage OK
Python3 subpackage OK
Python provides macro OK
Python macros OK
No bundled egg.info OK
Not bundled libs upstream OK
Code not Bynary OK
Directories ownership OK


Issues:
A very long test suite is present but some test fails in rawhide and f23.

You BuildRequires both python-sphinx and python3-sphinx but you are not building the docs and do not provide a docs subpackage.

Sorry for the latee feedback but this package take a very long time to build due to the large test suite and my mock build ending failing, any way this spec looks good.

Comment 3 William Moreno 2016-03-11 20:39:21 UTC
Any update?

Comment 4 Ankur Sinha (FranciscoD) 2018-08-05 08:59:43 UTC
Igor, should I review this package if you'd still like to package it for neurofedora?

Comment 5 Igor Gnatenko 2018-08-22 07:31:17 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.


Note You need to log in before you can comment on or make changes to this bug.